Subject: Re: bug#25818: 25.2; frame moved off display does not return (OS X)

From: martin rudalics <[email-masked]>
Date: Sat, 29 Apr 2017 12:30:13 +0200

> I fixed the patch so that child frames are never constrained (after
 > some testing, it seems that a child frame cannot get stuck off screen
 > as long as its parent is still visible).  To test this out, evaluate
 > the following from emacs -Q,
 >
 > (progn
 >    (setq test-frame (make-frame `((parent-frame . ,(selected-frame)))))
 >    (set-frame-position test-frame 0 500))
 >
 > and drag the parent frame down until its child is off screen.

Does this mean that the child frame does _not_ move together with its
parent frame?  That would constitute a major deviation from the other
platforms.

martin